Skip to main content
POST
/
kyc
/
applications
Create a KYC application
curl --request POST \
  --url https://api.useproxy.ai/v1/kyc/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerId": "<string>",
  "application": {}
}
'
{
  "id": "<string>",
  "status": "<string>",
  "customerId": "<string>",
  "reason": "<string>",
  "completionLink": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header as Bearer <api_key>.

Headers

Idempotency-Key
string

Unique key for idempotent requests (24-hour cache)

Body

application/json
customerId
string
required

Customer ID

application
object
required

KYC application data

Response

Application created

id
string
required
status
string
required

Application status

customerId
string | null
reason
string | null

Link to complete application

createdAt
string<date-time> | null
updatedAt
string<date-time> | null